apiVersion: "operator.nevis-security.ch/v1"
kind: "NevisComponent"
metadata:
  name: "ob-auth-v1"
  namespace: "adn-agov-nevisidm-ob-01-uat"
  labels:
    deploymentTarget: "ob-auth-v1"
  annotations:
    projectKey: "DEFAULT-ADN-AGOV-WORK-OB-PROJECT"
    patternId: "d00b0dcbe241793d30daf91c"
spec:
  type: "NevisAuth"
  replicas: 1
  version: "8.2505.5"
  gitInitVersion: "1.4.0"
  runAsNonRoot: true
  ports:
    management: 9000
    soap: 8991
  resources:
    limits:
      cpu: "1000m"
      memory: "1200Mi"
    requests:
      cpu: "20m"
      memory: "600Mi"
  livenessProbe:
    soap:
      tcpSocket: true
      periodSeconds: 5
      timeoutSeconds: 4
  readinessProbe:
    management:
      httpGet:
        path: "/nevisauth/liveness"
      periodSeconds: 5
      timeoutSeconds: 6
  startupProbe:
    management:
      httpGet:
        path: "/nevisauth/liveness"
      initialDelaySeconds: 50
      periodSeconds: 5
      timeoutSeconds: 6
      failureThreshold: 30
  podDisruptionBudget:
    maxUnavailable: "50%"
  git:
    tag: "r-bba80526cea899b1947578419a14c74492ea501f"
    dir: "DEFAULT-ADN-AGOV-WORK-OB-PROJECT/DEFAULT-DEFAULT-ADN-AGOV-OB-INV/ob-auth-v1"
    credentials: "git-credentials"
  keystores:
  - "ob-auth-sh4r3d-default-default-signer"
  - "ob-auth-v1-default-identity"
  - "ob-auth-v1-ob-realm-accessapp-registration-nevisfido-tls-client"
  truststores:
  - "ob-auth-v1-ob-realm-accessapp-registration-nevisfido-tls-trust"
  - "ob-auth-v1-default-default-signer-trust"
  - "ob-auth-v1-default-tls-client-trust"
  - "ob-auth-v1-agov-work-internal-trust-store"
  podSecurity:
    policy: "baseline"
    automountServiceAccountToken: false
  timeZone: "Europe/Zurich"
